Name:      mapnik-python
Version:   20151129
Release:   1%{?dist}
Summary:   Python bindings for the Mapnik toolkit
Group:     Applications/Engineering
License:   LGPLv2+
URL:       https://github.com/mapnik/python-mapnik
Source0:   python-mapnik-%{version}.tar.bz2
Patch0:    mapnik-python-flags.patch

# git clone https://github.com/mapnik/python-mapnik.git
# tar cvjf python-mapnik-%%{version}.tar.bz2 --exclude=.git python-mapnik

Requires: mapnik >= 3

BuildRequires: mapnik-devel >= 3
BuildRequires: python2-devel python3-devel
BuildRequires: boost-devel boost-python boost-python3 boost-python3-devel

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Mapnik is a Free Toolkit for developing mapping applications.
These packages contain the python bindings.

%package -n mapnik-python2
Summary:  Python2 bindings for the Mapnik toolkit
Group:    Development/Libraries
Requires: mapnik >= 3
%{?python_provide:%python_provide python2-%{srcname}}

%description -n mapnik-python2
Mapnik is a Free Toolkit for developing mapping applications.
These packages contain the python2 bindings.

%package -n mapnik-python3
Summary:  Python2 bindings for the Mapnik toolkit
Group:    Development/Libraries
Requires: mapnik >= 3
%{?python_provide:%python_provide python3-%{srcname}}

%description -n mapnik-python3
Mapnik is a Free Toolkit for developing mapping applications.
These packages contain the python3 bindings.


%prep
%setup -q -n python-mapnik
%patch0 -p1 -b .flg

%build
export SYSTEM_FONTS=/usr/share/fonts
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n mapnik-python2
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md README.md
%{python2_sitearch}/*

%files -n mapnik-python3
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md README.md
%{python3_sitearch}/*


%changelog
* Sun Nov 29 2015 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20151129-1
- initial package
